export const students = [
  {
    seq: null,
    examName: "20220506",
    examActivityCode: "1",
    examId: "255274328714129408",
    examActivityId: "255274329125171200",
    examStudentId: "1522766012435914753",
    examRecordId: "259318134736424960",
    identity: "42011406159",
    roomCode: "001",
    roomName: "测试001",
    name: "test06159",
    courseName: "测试",
    courseCode: "A0002",
    paperDownload: 1,
    status: "已待考",
    statusCode: "FIRST_PREPARE",
    progress: 0.0,
    warningCount: 0,
    clientWebsocketStatus: "OFF_LINE",
    cameraMonitorStatusSource: null,
    screenMonitorStatusSource: null,
    mobileFirstMonitorStatusSource: null,
    mobileSecondMonitorStatusSource: null,
    clientCurrentIp: "192.168.10.136",
    breachStatus: 1,
    monitorLiveUrl: "oe_test_259318134736424960_client_camera",
    updateTime: 1652767129478,
    remainTime: "00:00:00",
    warningNew: 0,
    monitorVideoSource: "CLIENT_CAMERA",
    monitorRecord: null,
  },
  {
    seq: null,
    examName: "20220506",
    examActivityCode: "1",
    examId: "255274328714129408",
    examActivityId: "255274329125171200",
    examStudentId: "1522766012473663489",
    examRecordId: "259318142240034817",
    identity: "42011406194",
    roomCode: "001",
    roomName: "测试001",
    name: "test06194",
    courseName: "测试",
    courseCode: "A0002",
    paperDownload: 1,
    status: "已待考",
    statusCode: "FIRST_PREPARE",
    progress: 0.0,
    warningCount: 0,
    clientWebsocketStatus: "OFF_LINE",
    cameraMonitorStatusSource: null,
    screenMonitorStatusSource: null,
    mobileFirstMonitorStatusSource: null,
    mobileSecondMonitorStatusSource: null,
    clientCurrentIp: "192.168.10.136",
    breachStatus: 1,
    monitorLiveUrl: "oe_test_259318142240034817_client_camera",
    updateTime: 1652767129158,
    remainTime: "00:00:00",
    warningNew: 0,
    monitorVideoSource: "CLIENT_CAMERA",
    monitorRecord: null,
  },
  {
    seq: null,
    examName: "20220506",
    examActivityCode: "1",
    examId: "255274328714129408",
    examActivityId: "255274329125171200",
    examStudentId: "1522766012318474241",
    examRecordId: "259318111927799808",
    identity: "42011406050",
    roomCode: "001",
    roomName: "测试001",
    name: "test06050",
    courseName: "测试",
    courseCode: "A0002",
    paperDownload: 1,
    status: "已待考",
    statusCode: "FIRST_PREPARE",
    progress: 0.0,
    warningCount: 0,
    clientWebsocketStatus: "OFF_LINE",
    cameraMonitorStatusSource: null,
    screenMonitorStatusSource: null,
    mobileFirstMonitorStatusSource: null,
    mobileSecondMonitorStatusSource: null,
    clientCurrentIp: "192.168.10.136",
    breachStatus: 1,
    monitorLiveUrl: "oe_test_259318111927799808_client_camera",
    updateTime: 1652767119001,
    remainTime: "00:00:00",
    warningNew: 0,
    monitorVideoSource: "CLIENT_CAMERA",
    monitorRecord: null,
  },
  {
    seq: null,
    examName: "20220506",
    examActivityCode: "1",
    examId: "255274328714129408",
    examActivityId: "255274329125171200",
    examStudentId: "1522766012553355267",
    examRecordId: "259318157805096960",
    identity: "42011406269",
    roomCode: "001",
    roomName: "测试001",
    name: "test06269",
    courseName: "测试",
    courseCode: "A0002",
    paperDownload: 1,
    status: "已待考",
    statusCode: "FIRST_PREPARE",
    progress: 0.0,
    warningCount: 0,
    clientWebsocketStatus: "OFF_LINE",
    cameraMonitorStatusSource: null,
    screenMonitorStatusSource: null,
    mobileFirstMonitorStatusSource: null,
    mobileSecondMonitorStatusSource: null,
    clientCurrentIp: "192.168.10.136",
    breachStatus: 1,
    monitorLiveUrl: "oe_test_259318157805096960_client_camera",
    updateTime: 1652767140219,
    remainTime: "00:00:00",
    warningNew: 0,
    monitorVideoSource: "CLIENT_CAMERA",
    monitorRecord: null,
  },
];

export const summary = {
  onlineCount: 65432,
  waitingCount: 6532,
  examingCount: 1342,
  breachCount: 1112,
  warnCount: 4453,
  id: "1",
  name: "武汉大学",
  code: "whdx",
};

export const inviTypesList = [
  {
    type: "违规动作",
    warnCount: 320,
  },
  {
    type: "替考",
    warnCount: 98,
  },
  {
    type: "求助第三方",
    warnCount: 58,
  },
  {
    type: "采用照片",
    warnCount: 54,
  },
  {
    type: "虚拟摄像头",
    warnCount: 30,
  },
  {
    type: "切出考试窗口",
    warnCount: 17,
  },
  {
    type: "雷同卷",
    warnCount: 4,
  },
];

let inviTimeList = [];
(function () {
  let pre = "08:";
  let baset = 10;
  for (let i = 0; i < 30; i++) {
    inviTimeList.push({
      hour: `${pre}${baset + i}`,
      onlineCount: Math.floor(100 + Math.random() * 500),
      warnCount: Math.floor(Math.random() * 100),
    });
  }
})();

export { inviTimeList };

export const inviAreaList = [
  {
    country: "中国",
    province: "河南",
    warnCount: 1147,
  },
  {
    country: "中国",
    province: "江西",
    warnCount: 498,
  },
  {
    country: "中国",
    province: "湖南",
    warnCount: 461,
  },
  {
    country: "中国",
    province: "湖北",
    warnCount: 349,
  },
  {
    country: "中国",
    province: "河北",
    warnCount: 332,
  },
];

export const inviMapList = [
  {
    country: "国家",
    province: "省份",
    onlineCount: 120,
    warnCount: 10,
  },
];

export const inviStudentList = [
  {
    examId: "1",
    examStudentId: "1",
    name: "丰玉",
    identity: "42000198710082825",
    info: "疑似违规动作",
    level: "预警等级",
    warningId: "1",
    remark: "1",
    examRecordId: "1",
    roomCode: "1",
    createTime: "17:06:12",
    approveStatus: "已处理",
  },
  {
    examId: "1",
    examStudentId: "2",
    name: "司莎寒",
    identity: "42000198710082825",
    info: "疑似替考",
    level: "预警等级",
    warningId: "1",
    remark: "1",
    examRecordId: "1",
    roomCode: "1",
    createTime: "17:06:12",
    approveStatus: "已处理",
  },
  {
    examId: "1",
    examStudentId: "3",
    name: "伦珊桂",
    identity: "42000198710082825",
    info: "疑似求助第三方",
    level: "预警等级",
    warningId: "1",
    remark: "1",
    examRecordId: "1",
    roomCode: "1",
    createTime: "14:27:56",
    approveStatus: "已处理",
  },
  {
    examId: "1",
    examStudentId: "4",
    name: "牛山",
    identity: "42000198710082825",
    info: "疑似采用照片",
    level: "预警等级",
    warningId: "1",
    remark: "1",
    examRecordId: "1",
    roomCode: "1",
    createTime: "17:06:12",
    approveStatus: "已处理",
  },
  {
    examId: "1",
    examStudentId: "5",
    name: "孙康启",
    identity: "42000198710082825",
    info: "疑似采用照片或虚拟电饭锅手动阀牢固树立",
    level: "预警等级",
    warningId: "1",
    remark: "1",
    examRecordId: "1",
    roomCode: "1",
    createTime: "09:12:50",
    approveStatus: "已处理",
  },
];
